Contributing
============

👍🎉 Thanks a lot for considering contributing 🎉👍

We welcome and encourage contribution. There is many way to contribute: you can
write bug report, contribute code or documentation (take a look at the 
[Wiki section](https://github.com/gsilano/EuropeCV/wiki)).

## Working on your first Pull Request?

You can learn how from this *free* series [How to Contribute to an Open Source Project on GitHub](https://egghead.io/series/how-to-contribute-to-an-open-source-project-on-github)

## Reporting issues

When reporting issues the more information you can supply the better.

If it is an issue with building the LaTeX package, indicate your environment like operating system and,
version of MikTeX your are using.

## Improvements request and proposal

Feel free to make an issue to request a new functionality.

## Contributing code/Pull-Request

We welcome contribution, this can be done by starting a pull-request.
You can contribute by updating the package content or styling, code (.cls file), or both.

### Contributing content or styling

There is a couple of basic requirement for us to merge the pull request:
 - The styling should maintain the compatibility with previous versions. For example, if you plan to 
 add a new number to the contact information, it should be optional and not mandatory allowing not to
 change anything to the other users of the package. 

### Contributing code

If the change is big, typically if the change span to more than one file, consider starting an issue first to discuss the improvement.
This will makes it much easier to make the change fit well into the package.

There is some basic requirement for us to merge a pull request:
 - Describe the change (a bot will remind you in case you forget it)
 - Refer to any issues it effects
 - Separate one pull request per functionality: if you start writing "and" in the feature description consider if it could be 
 separated in two pull requests.

In your code:
 - Make sure the coding style of your code follows the style of the file.

